openSUSE: 2022:10150-1 important: seamonkey | LinuxSecurity.com

   openSUSE Security Update: Security update for seamonkey
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:10150-1
Rating:             important
References:         #1203916 
Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that contains security fixes can now be installed.

Description:

   This update for seamonkey fixes the following issues:

   Update to SeaMonkey 2.53.14

   * Updates to the following DOM HTML element interfaces: Embed, Object,
     Anchor, Area, Button, Frame, Canvas, IFrame, Link, Image, MenuItem,
     TextArea, Source, Select, Option, Script and Html. Please test add-ons.
   * Continue the switch from Python 2 to Python 3 in the build system.
   * Add ESR 102 links to debugQA bug 1779028.
   * Remove about plugins from help menu bug 1779031.
   * Dead links in cs_nav_prefs_advanced.xhtml [en-US] bug 1783558.
   * Dead links in cs_nav_prefs_advanced.xhtml bug 1786030.
   * Remove obsolete chat services from SeaMonkey address book bug 1779034.
   * Address Book: "Get Map" button is not shown for home addresses bug
     1779319.
   * Added compatibility for rust 1.63
   * SeaMonkey 2.53.14 uses the same backend as Firefox and contains the
     relevant Firefox 60.8 security fixes.
   * SeaMonkey 2.53.14 shares most parts of the mail and news code with
     Thunderbird. Please read the Thunderbird 60.8.0 release notes for
     specific security fixes in this release.
   * Additional important security fixes up to Current Firefox 91.11 and
     Thunderbird 91.11 ESR plus many enhancements have been backported. We
     will continue to enhance SeaMonkey security in subsequent 2.53.x beta
     and release versions as fast as we are able to.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-2022-10150=1



Package List:

   - openSUSE Leap 15.3 (aarch64 i586 x86_64):

      seamonkey-2.53.14-lp153.17.14.1
      seamonkey-debuginfo-2.53.14-lp153.17.14.1
      seamonkey-debugsource-2.53.14-lp153.17.14.1
      seamonkey-dom-inspector-2.53.14-lp153.17.14.1
      seamonkey-irc-2.53.14-lp153.17.14.1


References:

   https://bugzilla.suse.com/1203916

openSUSE: 2022:10150-1 important: seamonkey

October 16, 2022
An update that contains security fixes can now be installed

Description

This update for seamonkey fixes the following issues: Update to SeaMonkey 2.53.14 * Updates to the following DOM HTML element interfaces: Embed, Object, Anchor, Area, Button, Frame, Canvas, IFrame, Link, Image, MenuItem, TextArea, Source, Select, Option, Script and Html. Please test add-ons. * Continue the switch from Python 2 to Python 3 in the build system. * Add ESR 102 links to debugQA bug 1779028. * Remove about plugins from help menu bug 1779031. * Dead links in cs_nav_prefs_advanced.xhtml [en-US] bug 1783558. * Dead links in cs_nav_prefs_advanced.xhtml bug 1786030. * Remove obsolete chat services from SeaMonkey address book bug 1779034. * Address Book: "Get Map" button is not shown for home addresses bug 1779319. * Added compatibility for rust 1.63 * SeaMonkey 2.53.14 uses the same backend as Firefox and contains the relevant Firefox 60.8 security fixes. * SeaMonkey 2.53.14 shares most parts of the mail and news code with Thunderbird. Please read the Thunderbird 60.8.0 release notes for specific security fixes in this release. * Additional important security fixes up to Current Firefox 91.11 and Thunderbird 91.11 ESR plus many enhancements have been backported. We will continue to enhance SeaMonkey security in subsequent 2.53.x beta and release versions as fast as we are able to.

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-2022-10150=1


Package List

- openSUSE Leap 15.3 (aarch64 i586 x86_64): seamonkey-2.53.14-lp153.17.14.1 seamonkey-debuginfo-2.53.14-lp153.17.14.1 seamonkey-debugsource-2.53.14-lp153.17.14.1 seamonkey-dom-inspector-2.53.14-lp153.17.14.1 seamonkey-irc-2.53.14-lp153.17.14.1


References

https://bugzilla.suse.com/1203916


Severity
Announcement ID: openSUSE-SU-2022:10150-1
Rating: important
Affected Products: openSUSE Leap 15.3 . Affected Products: openSUSE Leap 15.3 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.